FLANG

Public Types | Public Member Functions | Static Public Attributes | List of all members
Fortran::decimal::BinaryFloatingPointNumber< BINARY_PRECISION > Class Template Reference
Inheritance diagram for Fortran::decimal::BinaryFloatingPointNumber< BINARY_PRECISION >:

## Public Types
using | Details = common::RealDetails< BINARY_PRECISION >
using | RawType = common::HostUnsignedIntType< bits >

## Public Member Functions
constexpr | BinaryFloatingPointNumber (const BinaryFloatingPointNumber &that)=default
constexpr | BinaryFloatingPointNumber (BinaryFloatingPointNumber &&that)=default
constexpr BinaryFloatingPointNumber & | operator= (const BinaryFloatingPointNumber &that)=default
constexpr BinaryFloatingPointNumber & | operator= (BinaryFloatingPointNumber &&that)=default
RawType | raw () const
template<typename A >
constexpr | BinaryFloatingPointNumber (A x)
constexpr int | BiasedExponent () const
constexpr int | UnbiasedExponent () const
constexpr RawType | Significand () const
constexpr RawType | Fraction () const
constexpr bool | IsZero () const
constexpr bool | IsNaN () const
constexpr bool | IsInfinite () const
constexpr bool | IsMaximalFiniteMagnitude () const
constexpr bool | IsNegative () const
constexpr void | Negate ()
constexpr void | Previous ()
constexpr void | Next ()

## Static Public Attributes
static constexpr RawType | significandMask {(RawType{1} << significandBits) - 1}
static constexpr int | bits
static constexpr int | decimalPrecision
static constexpr int | decimalRange
static constexpr int | exponentBias
static constexpr int | exponentBits
static constexpr bool | isImplicitMSB
static constexpr int | maxDecimalConversionDigits
static constexpr int | maxExponent
static constexpr int | significandBits
Static Public Attributes inherited from Fortran::common::RealDetails< BINARY_PRECISION >
static constexpr int | binaryPrecision {BINARY_PRECISION}
static constexpr int | bits {BitsForBinaryPrecision(binaryPrecision)}
static constexpr bool | isImplicitMSB {binaryPrecision != 64 }
static constexpr int | significandBits {binaryPrecision - isImplicitMSB}
static constexpr int | exponentBits {bits - significandBits - 1 }
static constexpr int | maxExponent {(1 << exponentBits) - 1}
static constexpr int | exponentBias {maxExponent / 2}
static constexpr int | decimalPrecision
static constexpr int | decimalRange {LogBaseTwoToLogBaseTen(exponentBias - 1)}
static constexpr int | maxDecimalConversionDigits

The documentation for this class was generated from the following file:

- include/flang/Decimal/binary-floating-point.h